* <a href="http://www.linux-foundation.org/download/#app-battery" target="_blank">Download</a> and install the <b>lsb-alsaplayer</b> package for the LSB version chosen. Do <b>not</b> use <tt>--nodeps</tt> option, the dependency checks are part of the test. Application should be installed to <tt>/opt/lsb/appbat</tt>. If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-alsaplayer</b> should show up in the AudioVideo and/or Audio or Player categories, if present.<br />This functional verification requires a working sound setup on the test machine, using one of the ALSA kernel drivers.
- Was the installation successful?
* Run the command: <tt>/opt/lsb/appbat/bin/alsaplayer</tt>.
- Expected result: The alsaplayer application is launched with the <tt>"Alsaplayer"</tt> window. Additional windows may be present if they were left open in a previous run.
* Right click in the status area (where volume, etc appear) and select <tt>"Scopes"</tt> from the popup menu.
- Expected result: The <tt>"Scopes"</tt> window appears.
* Double-click each of the seven <tt>"Scopes"</tt> entries to open the selected visualization plugin in it's own window.
- Expected result: The seven visualization windows open.
* Download the sample wav file here: <a href="ftp://ftp.linux-foundation.org/pub/lsb/app-battery/tests/torvalds-says-linux.wav">torvalds-says-linux.wav</a><br />Click the "Play" icon and select the downloaded torvalds-says-linux.wav.<br />Click the "Play" icon a second time.
- Expected result: The audio file plays <tt>"Hello this is Linus Torvalds and I pronounce Linux as Linux"</tt>. The visualization scopes should also show activity as the file plays.
